org.gjt.sp.jedit.proto.jeditresource

## Class Handler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.gjt.sp.jedit.proto.jeditresource.Handler

-     public class Handler
      extends java.net.URLStreamHandler

  One somewhat unconventional requirement of URLStreamHandler classes is that the class name and even the package name have certain restrictions. You must name the handler class Handler, as in the previous example. The package name must include the protocol name as the last dot-separated token. This way, the Handler is automatically created in a lazy-fashion by the default URLStreamHandlerFactory. see http://java.sun.com/developer/onlineTraining/protocolhandlers/ You should never need to create an instance of this class directly.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Handler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.URLConnection` | `openConnection(java.net.URL url)`

    - ### Methods inherited from class java.net.URLStreamHandler

      `equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Handler

          public Handler()

  - ### Method Detail

    - #### openConnection

          public java.net.URLConnection openConnection(java.net.URL url)
                                                throws java.io.IOException

      Specified by:
        `openConnection` in class `java.net.URLStreamHandler`
      Throws:
        `java.io.IOException`